> This page is for version v2 (default).
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers-beta.clearpay.co.uk/v-2/llms.txt
> - v1: https://developers-beta.clearpay.co.uk/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers-beta.clearpay.co.uk/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers-beta.clearpay.co.uk/_mcp/server.

# Get Checkout

GET https://global-api-sandbox.afterpay.com/v2/checkouts/{token}

This endpoint retrieves an incomplete individual checkout by token.

Checkout details are only retained in this temporary format for up to 60 minutes. If a checkout token expires or has an order created against it, it can no longer be retrieved from this endpoint.

To retrieve a [Payment](/payment-object) record (Clearpay Order) along with its associated checkout details, see [Get Payment By Token](/api-reference/online-api/order-management/get-payment-by-token).

## Successful Response (200)

If a checkout belonging to the authenticated merchant account is found, returns the checkout details in response. Fields that were not included in the original [Create Checkout](/api-reference/online-api/checkouts/create-checkout) request may not be included in any corresponding Get Checkout response.

| Attribute                       | Type                                         | Description                                                                                                                                                                                                             |
| :------------------------------ | :------------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `token`                         | string                                       | Checkout token to be used to complete payment.                                                                                                                                                                          |
| `expires`                       | string                                       | The UTC timestamp of when the checkout token will expire, in [ISO 8601](http://www.iso.org/iso/home/standards/iso8601.htm) format.                                                                                      |
| `redirectCheckoutUrl`           | string                                       | A URL that can be used to redirect the consumer to the Clearpay screenflow directly from the merchant backend. This can be used as an alternative to implementing the [JavaScript afterpay.js](/javascript-afterpayjs). |
| `amount`                        | [Money](/money-object)                       | Total amount to be charged to consumer.                                                                                                                                                                                 |
| `consumer`                      | [Consumer](/consumer-object)                 | The consumer requesting the order.                                                                                                                                                                                      |
| `billing`                       | [Contact](/contact-object)                   | Billing address.                                                                                                                                                                                                        |
| `shipping`                      | [Contact](/contact-object)                   | Shipping address.                                                                                                                                                                                                       |
| `courier`                       | [Shipping Courier](/shipping-courier-object) | Shipping courier details.                                                                                                                                                                                               |
| `description`                   | string                                       | A description of the order.                                                                                                                                                                                             |
| `merchant`.`redirectConfirmUrl` | string                                       | The consumer is redirected to this URL on confirmation.                                                                                                                                                                 |
| `merchant`.`redirectCancelUrl`  | string                                       | The consumer to redirected to this URL if the payment process is cancelled.                                                                                                                                             |
| `merchantReference`             | string                                       | The merchant's id/reference that this order corresponds to.                                                                                                                                                             |
| `items`                         | [Item](/item-object)\[]                      | An array of order items.                                                                                                                                                                                                |
| `discounts`                     | [Discount](/discount-object)\[]              | An array of discounts.                                                                                                                                                                                                  |
| `shippingAmount`                | [Money](/money-object)                       | The shipping amount.                                                                                                                                                                                                    |
| `taxAmount`                     | [Money](/money-object)                       | The included tax amount after applying all discounts.                                                                                                                                                                   |
| `shippingOptions`               | string                                       | Shipping option details.                                                                                                                                                                                                |

## Connection Timeouts

| Timeout | Time (Seconds) |
| :------ | :------------- |
| Open    | 10             |
| Read    | 20             |

## Errors

In addition to the [GET Errors](/get-errors) applicable to all GET endpoints, the following errors are specific to Get Checkout:

| HTTP Status Code             | errorCode       | Description                                                           |
| :--------------------------- | :-------------- | :-------------------------------------------------------------------- |
| **404**  Not Found           | `not_found`     | No checkout token was provided.                                       |
| **412**  Precondition Failed | `invalid_token` | The checkout token is invalid, expired, completed, or does not exist. |

Reference: https://developers-beta.clearpay.co.uk/api-reference/get-checkout

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `token` (string, required) — The token of the checkout to be retrieved.

### Headers

- `Accept` (string, optional, default: application/json)

## Examples

**SDK Code**

```python
import requests

url = "https://global-api-sandbox.afterpay.com/v2/checkouts/token"

headers = {
    "User-Agent": "User-Agent"
}

response = requests.get(url, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://global-api-sandbox.afterpay.com/v2/checkouts/token';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {'User-Agent': 'User-Agent', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://global-api-sandbox.afterpay.com/v2/checkouts/token"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("User-Agent", "User-Agent")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://global-api-sandbox.afterpay.com/v2/checkouts/token")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["User-Agent"] = 'User-Agent'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://global-api-sandbox.afterpay.com/v2/checkouts/token")
  .header("User-Agent", "User-Agent")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://global-api-sandbox.afterpay.com/v2/checkouts/token', [
  'headers' => [
    'User-Agent' => 'User-Agent',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://global-api-sandbox.afterpay.com/v2/checkouts/token");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("User-Agent", "User-Agent");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "User-Agent": "User-Agent",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://global-api-sandbox.afterpay.com/v2/checkouts/token")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```